Bug 511078 - Review Request: gdpc - A program for visualising molecular dynamics simulations data
Review Request: gdpc - A program for visualising molecular dynamics simulatio...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-13 11:17 EDT by Susi Lehtola
Modified: 2009-10-27 09:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.2.5-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-08 15:24:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Susi Lehtola 2009-07-13 11:17:05 EDT
Spec URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/gdpc.spec

SRPM URL:
http://theory.physics.helsinki.fi/~jzlehtol/rpms/gdpc-2.2.5-1.fc11.src.rpm

Description:
gdpc is a program for visualising molecular dynamic simulations,
it is a very versatile program and could easily be used for other
purposes. gdpc reads xyz input as well as custom formats and can
output pictures of each frame.


rpmlint output is clean.
Comment 1 Parag AN(पराग) 2009-07-15 07:22:07 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1474636
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
6c88d70fb0b17e8a7d00ab9d2e87f62e512826ef  gdpc-2.2.5.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Desktop file installed correctly.
+ GUI application

gdpc binary crashed when tried to use on F-11.
Comment 2 Susi Lehtola 2009-07-15 07:40:34 EDT
(In reply to comment #1)
> gdpc binary crashed when tried to use on F-11.  

What did you try to do, exactly? For me it works fine both on i386 and x86_64.
Comment 3 Parag AN(पराग) 2009-07-15 23:39:31 EDT
Tested on 64 bit F-11. Working fine.
dunno what happened to 32 bit F-11. But I guess its related to my F-11 machine problem.

APPROVED.
Comment 4 Susi Lehtola 2009-07-16 04:48:40 EDT
Thanks for the review!

New Package CVS Request
=======================
Package Name: gdpc
Short Description: A program for visualising molecular dynamics simulations data
Owners: jussilehtola
Branches: F-10 F-11
InitialCC:
Comment 5 Jason Tibbitts 2009-07-17 11:34:33 EDT
CVS done.
Comment 6 Fedora Update System 2009-07-17 16:24:18 EDT
gdpc-2.2.5-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/gdpc-2.2.5-1.fc10
Comment 7 Fedora Update System 2009-07-17 16:24:29 EDT
gdpc-2.2.5-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gdpc-2.2.5-1.fc11
Comment 8 Fedora Update System 2009-07-22 17:44:40 EDT
gdpc-2.2.5-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gdpc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7820
Comment 9 Fedora Update System 2009-07-22 18:00:00 EDT
gdpc-2.2.5-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gdpc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-7873
Comment 10 Fedora Update System 2009-08-08 15:24:03 EDT
gdpc-2.2.5-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-08-08 15:29:28 EDT
gdpc-2.2.5-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.